View Issue Details

IDProjectCategoryView StatusLast Update
0002547SymmetricDSNew Featurepublic2016-08-09 13:10
ReporterelongAssigned Toelong 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.0Fixed in Version3.8.0 
Summary0002547: Notification of system event problems
DescriptionSend a notification to an email address when a system problem occurs. Build an extension point for monitoring the system, including built-in checks for cpu, disk, memory, batch errors, unsent batches, unrouted data, and data gaps.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 d325b0cb

2016-04-04 14:45:02

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-assemble/build.gradle Diff File
mod - symmetric-assemble/src/asciidoc/configuration.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/mail-server.ad Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
add - symmetric-client/src/main/java/org/jumpmind/symmetric/job/NotificationJob.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Notification.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NotificationEvent.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/AbstractNotificationCheck.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/INotificationCheck.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckBatchError.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckBatchUnsent.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckCpu.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckDataGap.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckDisk.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckMemory.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckUnrouted.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMailService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INotificationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MailService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 96f51ffe

2016-04-08 11:21:58

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckCpu.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationCheckMemory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationServiceSqlMap.java Diff File

SymmetricDS: 3.8 043b9248

2016-06-07 16:07:27

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INotificationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 b004c5b8

2016-06-24 16:19:46

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/job/JobManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/ISymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ContextConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Monitor.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Notification.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/IMonitorType.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeEmail.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeLog.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorServiceSqlMap.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationService.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NotificationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PurgeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 e283f8c4

2016-06-27 14:41:57

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ContextConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/INotificationType.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeEmail.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeLog.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File

SymmetricDS: 3.8 c4cc1a06

2016-06-27 15:11:31

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 30bae72b

2016-06-27 16:14:49

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeEmail.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeLog.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.8 2760550e

2016-06-27 16:48:28

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IMonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorServiceSqlMap.java Diff File

SymmetricDS: 3.8 7268921a

2016-06-28 13:55:56

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-assemble/src/asciidoc/configuration.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/monitors.ad Diff File
add - symmetric-assemble/src/asciidoc/configuration/notifications.ad Diff File
add - symmetric-assemble/src/asciidoc/images/manage/manage-monitors.png Diff File
mod - symmetric-assemble/src/asciidoc/manage.ad Diff File
add - symmetric-assemble/src/asciidoc/manage/monitors.ad Diff File

SymmetricDS: 3.8 2e4ec929

2016-06-30 15:11:10

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File

SymmetricDS: 3.8 36e5696e

2016-07-04 22:53:37

admin

Details Diff
0002547: Notification of system event problems
0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorServiceSqlMap.java Diff File

SymmetricDS: 3.8 3bd0bb13

2016-08-02 10:02:45

admin

Details Diff
0002547: Notification of system event problems,
fixed save of boolean types

0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/MonitorService.java Diff File

SymmetricDS: 3.8 2f9d9898

2016-08-05 08:45:53

admin

Details Diff
0002547: Notification of system event problems,
mark as built in extensions

0002547
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeBatchError.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeBatchUnsent.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeCpu.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeDataGap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeDisk.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeMemory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/monitor/MonitorTypeUnrouted.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeEmail.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/notification/NotificationTypeLog.java Diff File

Issue History

Date Modified Username Field Change
2016-04-04 14:44 elong New Issue
2016-04-04 14:44 elong Status new => assigned
2016-04-04 14:44 elong Assigned To => elong
2016-04-28 10:01 admin Changeset attached => SymmetricDS 3.8 96f51ffe
2016-04-28 10:01 admin Changeset attached => SymmetricDS 3.8 d325b0cb
2016-06-07 17:00 admin Changeset attached => SymmetricDS 3.8 043b9248
2016-06-24 17:00 admin Changeset attached => SymmetricDS 3.8 b004c5b8
2016-06-27 15:00 admin Changeset attached => SymmetricDS 3.8 e283f8c4
2016-06-27 16:00 admin Changeset attached => SymmetricDS 3.8 c4cc1a06
2016-06-27 17:00 admin Changeset attached => SymmetricDS 3.8 2760550e
2016-06-27 17:00 admin Changeset attached => SymmetricDS 3.8 30bae72b
2016-06-28 13:57 elong Status assigned => resolved
2016-06-28 13:57 elong Fixed in Version => 3.8.0
2016-06-28 13:57 elong Resolution open => fixed
2016-06-28 14:00 admin Changeset attached => SymmetricDS 3.8 7268921a
2016-06-30 17:00 admin Changeset attached => SymmetricDS 3.8 2e4ec929
2016-07-04 23:00 admin Changeset attached => SymmetricDS 3.8 36e5696e
2016-08-02 11:00 admin Changeset attached => SymmetricDS 3.8 3bd0bb13
2016-08-05 09:00 admin Changeset attached => SymmetricDS 3.8 2f9d9898
2016-08-09 13:10 admin Status resolved => closed